curl --request GET \
--url https://algolia_application_id.algolia.net/1/indexes/ALGOLIA_INDEX_NAME/related-products/recommend/rules/test-record-123 \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new RecommendClient(
new RecommendConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
);
// Call the API
var response = await client.GetRecommendRuleAsync(
"<YOUR_INDEX_NAME>",
Enum.Parse<RecommendModels>("RelatedProducts"),
"objectID"
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = RecommendClient(
appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.getRecommendRule(
indexName: "<YOUR_INDEX_NAME>",
model: RecommendModels.fromJson("related-products"),
objectID: "objectID",
);
// print the response
print(response);// Initialize the client
client, err := recommend.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.GetRecommendRule(client.NewApiGetRecommendRuleRequest(
"<YOUR_INDEX_NAME>", recommend.RecommendModels("related-products"), "objectID"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
RecommendClient client = new RecommendClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
RecommendRule response = client.getRecommendRule("<YOUR_INDEX_NAME>", RecommendModels.RELATED_PRODUCTS, "objectID");
// print the response
System.out.println(response);// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initRecommend();
// Call the API
const response = await client.getRecommendRule({
indexName: 'indexName',
model: 'related-products',
objectID: 'objectID',
});
// print the response
console.log(response);// Initialize the client
val client = RecommendClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.getRecommendRule(
indexName = "<YOUR_INDEX_NAME>",
model = RecommendModels.entries.first { it.value == "related-products" },
objectID = "objectID",
)
// print the response
println(response)// Initialize the client
$client = RecommendClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->getRecommendRule(
'<YOUR_INDEX_NAME>',
'related-products',
'objectID',
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use RecommendClient instead, which exposes the exact same methods.
client = RecommendClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.get_recommend_rule(
index_name="<YOUR_INDEX_NAME>",
model="related-products",
object_id="objectID",
)
# print the response
print(response)# Initialize the client
client = Algolia::RecommendClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.get_recommend_rule("<YOUR_INDEX_NAME>", "related-products", "objectID")
# print the response
puts(response)// Initialize the client
val client = RecommendClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.getRecommendRule(
indexName = "<YOUR_INDEX_NAME>",
model = RecommendModels.withName("related-products"),
objectID = "objectID"
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try RecommendClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.getRecommendRule(
indexName: "<YOUR_INDEX_NAME>",
model: RecommendModels.relatedProducts,
objectID: "objectID"
)
// print the response
print(response){
"_metadata": {
"lastUpdate": "2023-07-04T12:49:15Z"
},
"condition": {
"context": "mobile",
"filters": "(category:Book OR category:Ebook) AND _tags:published"
},
"consequence": {
"hide": [
{
"objectID": "test-record-123"
}
],
"params": {
"automaticFacetFilters": [
{
"facet": "<string>",
"negative": true
}
],
"filters": "(category:Book OR category:Ebook) AND _tags:published",
"optionalFilters": [
"category:books<score=1>",
"category:-movies<score=1>"
]
},
"promote": [
{
"objectID": "test-record-123",
"position": 1
}
]
},
"description": "Boost on-sale items",
"enabled": true,
"objectID": "<string>",
"validity": [
{
"from": 123,
"until": 123
}
]
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}Retrieve a rule
Retrieves a Recommend rule that you previously created in the Algolia dashboard.
curl --request GET \
--url https://algolia_application_id.algolia.net/1/indexes/ALGOLIA_INDEX_NAME/related-products/recommend/rules/test-record-123 \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new RecommendClient(
new RecommendConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
);
// Call the API
var response = await client.GetRecommendRuleAsync(
"<YOUR_INDEX_NAME>",
Enum.Parse<RecommendModels>("RelatedProducts"),
"objectID"
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = RecommendClient(
appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.getRecommendRule(
indexName: "<YOUR_INDEX_NAME>",
model: RecommendModels.fromJson("related-products"),
objectID: "objectID",
);
// print the response
print(response);// Initialize the client
client, err := recommend.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.GetRecommendRule(client.NewApiGetRecommendRuleRequest(
"<YOUR_INDEX_NAME>", recommend.RecommendModels("related-products"), "objectID"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
RecommendClient client = new RecommendClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
RecommendRule response = client.getRecommendRule("<YOUR_INDEX_NAME>", RecommendModels.RELATED_PRODUCTS, "objectID");
// print the response
System.out.println(response);// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initRecommend();
// Call the API
const response = await client.getRecommendRule({
indexName: 'indexName',
model: 'related-products',
objectID: 'objectID',
});
// print the response
console.log(response);// Initialize the client
val client = RecommendClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.getRecommendRule(
indexName = "<YOUR_INDEX_NAME>",
model = RecommendModels.entries.first { it.value == "related-products" },
objectID = "objectID",
)
// print the response
println(response)// Initialize the client
$client = RecommendClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->getRecommendRule(
'<YOUR_INDEX_NAME>',
'related-products',
'objectID',
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use RecommendClient instead, which exposes the exact same methods.
client = RecommendClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.get_recommend_rule(
index_name="<YOUR_INDEX_NAME>",
model="related-products",
object_id="objectID",
)
# print the response
print(response)# Initialize the client
client = Algolia::RecommendClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.get_recommend_rule("<YOUR_INDEX_NAME>", "related-products", "objectID")
# print the response
puts(response)// Initialize the client
val client = RecommendClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.getRecommendRule(
indexName = "<YOUR_INDEX_NAME>",
model = RecommendModels.withName("related-products"),
objectID = "objectID"
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try RecommendClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.getRecommendRule(
indexName: "<YOUR_INDEX_NAME>",
model: RecommendModels.relatedProducts,
objectID: "objectID"
)
// print the response
print(response){
"_metadata": {
"lastUpdate": "2023-07-04T12:49:15Z"
},
"condition": {
"context": "mobile",
"filters": "(category:Book OR category:Ebook) AND _tags:published"
},
"consequence": {
"hide": [
{
"objectID": "test-record-123"
}
],
"params": {
"automaticFacetFilters": [
{
"facet": "<string>",
"negative": true
}
],
"filters": "(category:Book OR category:Ebook) AND _tags:published",
"optionalFilters": [
"category:books<score=1>",
"category:-movies<score=1>"
]
},
"promote": [
{
"objectID": "test-record-123",
"position": 1
}
]
},
"description": "Boost on-sale items",
"enabled": true,
"objectID": "<string>",
"validity": [
{
"from": 123,
"until": 123
}
]
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}settingsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
Name of the index on which to perform the operation.
"ALGOLIA_INDEX_NAME"
related-products, bought-together, trending-facets, trending-items Unique record identifier.
"test-record-123"
Response
OK
Recommend rule.
Rule metadata.
Show child attributes
Show child attributes
Condition that triggers the rule. If not specified, the rule is triggered for all recommendations.
Show child attributes
Show child attributes
Effect of the rule.
Show child attributes
Show child attributes
Description of the rule's purpose. This can be helpful for display in the Algolia dashboard.
"Boost on-sale items"
Indicates whether to enable the rule. If it isn't enabled, it isn't applied at query time.
Unique identifier of a rule object.
Time periods when the rule is active.
Show child attributes
Show child attributes
Was this page helpful?